View Issue Details

IDProjectCategoryView StatusLast Update
0001692NoesisGUIC++ SDKpublic2020-05-28 17:44
ReporterstevehAssigned Tojsantos 
PrioritynormalSeveritycrashReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version3.0.0 
Target Version3.0.1Fixed in Version3.0.1 
Summary0001692: Crash in Renderer::RenderOffscreen
DescriptionHi guys, I've just hit a crash in our code when booting up with Noesis 3.0.0:

bool Renderer::RenderOffscreen()
{
    return RenderOffscreen(mTree->GetProjection());
}

mTree is nullptr:

It looks like all the other Render functions check to make sure that mTree is valid before dereferencing it. I'll fix it locally but just thought I'd let you know.

I've not looked into this yet, so I don't know why we are trying to render something which doesn't have a valid tree, but this didn't crash in 2.2.6.

Cheers,

-Steven
TagsNo tags attached.
PlatformAny

Activities

steveh

steveh

2020-05-21 17:32

reporter   ~0006386

Just wanted to quickly update you. I was attempting to render the view before I had initialised the renderer on the render thread on the first frame a new view was created, that's why the tree was null. I've fixed this up so it no longer does this, it now won't try to call IRenderer::Render / IRenderer::RenderOffscreen until we've called Init on the view and passed in the render device.

However, I'm guessing we had the same error in 2.2.6, it's just it didn't crash, I imagine it silently failed on the first frame.
jsantos

jsantos

2020-05-22 14:01

manager   ~0006388

Yes, we were silently failing before and we should keep doing the same now (to avoid crashes when clients create view with empty content), I will fix it. Thanks for reporting.

Issue History

Date Modified Username Field Change
2020-05-21 15:15 steveh New Issue
2020-05-21 17:32 steveh Note Added: 0006386
2020-05-22 13:59 jsantos Target Version => 3.0
2020-05-22 14:00 jsantos Assigned To => jsantos
2020-05-22 14:00 jsantos Status new => assigned
2020-05-22 14:01 jsantos Note Added: 0006388
2020-05-26 11:33 jsantos Target Version 3.0 => 3.0.1
2020-05-28 17:44 jsantos Status assigned => resolved
2020-05-28 17:44 jsantos Resolution open => fixed
2020-05-28 17:44 jsantos Fixed in Version => 3.0.1